Get Available Steps

POST https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator/available-step

This request lists the next available steps or actions that can be taken on the delivery.

This request can be made only with a sandbox account.

Call this request at any point during the delivery process to see the next available steps.
The same information returned with this request also gets returned with Execute Next Step POST /available-step/execute.

Example Request 1

This request returns the next steps for the delivery including orderId of Store15_748345.

POST https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator/available-step

Headers:

Content-Type: application/json

Authorization: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

WM_CONSUMER.ID: 685f74bf-b8ca-447d-8338-966di751443f

WM_QOS.CORRELATION_ID: 685f74bf-b8ca-447d-8338-966dd751445f

Request body:

{ "payload": { "orderId": "16763985580112", "deliveryId": "40151218-9cbe-4dd5-9043-932c8b712345", "action": "ASSIGN_DRIVER", "actor": "WALMART_USER", "driverUserId": "[email protected]" }
}

Example Request 2

This request returns the next steps for the delivery with the deliveryId of 40151218-9cbe-4dd5-9043-932c8b7845e1.

POST https://developer.api.us.walmart.com/api-proxy/service/supplychain/transportation/v1/daas-simulator/available-step

Headers:

Content-Type: application/json

Authorization: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

WM_CONSUMER.ID: 685f74bf-b8ca-447d-8338-966di751443f

WM_QOS.CORRELATION_ID: 685f74bf-b8ca-447d-8338-966dd751445f

Request body:

{ "payload": { "deliveryId": "40151218-9cbe-4dd5-9043-932c8b7845e1" }
}

Examples Response

This is the response from either successful request.
With the current delivery status of DELIVERY_REQUESTED, the response object indicates two possible next actions.
The Walmart user may assign a delivery driver to the delivery. This is shown in the index of availableNextStep.
The other action is that the client cancels the order. This is shown in the index of availableNextStep.
There are no other possible actions.

{ "availableNextStep": { "orderId": "16763985580112", "deliveryId": "40151218-9cbe-4dd5-9043-932c8b712345", "deliveryStatus": "DRIVER_ASSIGNED", "availableNextStep": [ { "action": "ENROUTE_TO_PICKUP", "actor": "DRIVER" }, { "action": "CANCEL", "actor": "DRIVER" }, { "action": "CANCEL", "actor": "CLIENT" } ] }
}

See Also

To execute a specified action on the delivery, see POST /available-step/execute

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params

Specifies criteria for the next steps.

payload
object

Specifies an object detailing the delivery.

At least one of orderId and deliveryId is required.
Both may be included but they must correspond to the same delivery.
If there are multiple deliveries associated with orderId, deliveryId is required.

Headers
string
required

Specifies the literal application/json.

Example: application/json

string
required

Specifies the literal value for Bearer <authenticationToken>.

The authenticationToken is an access token representing a user’s valid authorization and authentication permissions.
See Authentication for additional information.

Example: Bearer eyJraWQiOiI1N…yLTQ4MjctOGUz

uuid
required
length between 36 and 36

Specifies the value for the <consumer_id>.

This is the Client Consumer ID for the OAuth2 client credentials.
See the Walmart Client Center's Walmart administrator, client administrator, or development management for this value.

Example: 685f74bf-b8ca-447d-8338-966di751443f

string

Specifies the request log identifier.

This optional header can be any value.
Walmart GoLocal uses this value to log requests and error situations.

Examples:

2398

685f74bf-b8ca-447d-8338-966dd751445f

Responses

404

Not Found. The requested resource was not found on the server.

405

Method Not Allowed. The target resource doesn't support this method.

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json